File: changelog

package info (click to toggle)
r-cran-sp 1:1.4-2-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 2,412 kB
  • sloc: ansic: 1,111; sh: 14; makefile: 2
file content (250 lines) | stat: -rw-r--r-- 7,620 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
r-cran-sp (1:1.4-2-2) unstable; urgency=medium

  * Team upload.
  * Re-write DEP-8 tests to avoid to compare "expected" outputs (*.Rout.save)
     with our outputs. They are not expected to be identical, the
     "CRAN Package Check Results" show differences.
     Comparing theses outputs produce a lot of false positive.
     (Closes: #961485)

 -- Dylan Aïssi <daissi@debian.org>  Wed, 27 May 2020 09:31:48 +0200

r-cran-sp (1:1.4-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sat, 23 May 2020 15:56:57 +0200

r-cran-sp (1:1.4-1-1) unstable; urgency=medium

  * New upstream version
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Submit, Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 12 Mar 2020 11:22:37 +0100

r-cran-sp (1:1.4-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0

 -- Dylan Aïssi <daissi@debian.org>  Sat, 22 Feb 2020 18:14:38 +0100

r-cran-sp (1:1.3-2-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Archive, Bug-Database, Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 14 Nov 2019 11:56:03 +0100

r-cran-sp (1:1.3-1-2) unstable; urgency=medium

  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Remove trailing whitespace in debian/changelog
  * Drop test that has probably wrong data for comparison

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jul 2019 16:11:33 +0200

r-cran-sp (1:1.3-1-1) unstable; urgency=medium

  * New upstream version
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends

 -- Andreas Tille <tille@debian.org>  Wed, 06 Jun 2018 08:33:10 +0200

r-cran-sp (1:1.2-7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Wed, 14 Mar 2018 09:42:19 +0100

r-cran-sp (1:1.2-5-3) unstable; urgency=medium

  * Team upload.
  * Move packaging from SVN to Git.
  * Bump Standards-Version to 4.1.1.
  * Use secure URL in d/watch.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 16 Nov 2017 22:50:01 +0100

r-cran-sp (1:1.2-5-2) unstable; urgency=medium

  * Drop autopktests dependency on r-cran-rgeos,
    skip tests that fail without it (Closes: #859871)

 -- Graham Inggs <ginggs@debian.org>  Sun, 10 Sep 2017 07:08:10 +0000

r-cran-sp (1:1.2-5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.1.0 (no changes needed)
  * Add debian/README.source to document binary data files

 -- Andreas Tille <tille@debian.org>  Fri, 08 Sep 2017 14:15:38 +0200

r-cran-sp (1:1.2-4-1) unstable; urgency=medium

  * New upstream version
  * test depends from r-cran-rgeos
  * debhelper 10

 -- Andreas Tille <tille@debian.org>  Fri, 06 Jan 2017 23:15:23 +0100

r-cran-sp (1:1.2-3-1) unstable; urgency=medium

  * New upstream version
  * Convert to dh-r
  * Canonical homepage for CRAN
  * d/watch: version=4
  * DEP5

 -- Andreas Tille <tille@debian.org>  Sun, 13 Nov 2016 09:22:30 +0100

r-cran-sp (1:1.2-2-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * remove unused paragraph in d/copyright

 -- Andreas Tille <tille@debian.org>  Wed, 23 Mar 2016 14:01:48 +0100

r-cran-sp (1:1.0-15-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * add autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jun 2014 15:43:36 +0200

r-cran-sp (1:1.0-9-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Corrected homepage.
  * Suggests r-cran-rgdal (>= 0.8-7-1), according to DESCRIPTION.

 -- Charles Plessy <plessy@debian.org>  Wed, 01 May 2013 14:09:28 +0900

r-cran-sp (1:1.0-8-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Updated dependencies following DESCRIPTION.
  * Normalised VCS URLs following Lintian's standard.
  * Using Debhelper 9.
  * Normalised control and copyright files with cme.
  * Removed obsolete DM-Upload-Allowed field.
  * Conforms with Policy 3.9.4.
  * Acquire R:Depends directly from r-base-dev.

 -- Charles Plessy <plessy@debian.org>  Sat, 20 Apr 2013 11:15:12 +0900

r-cran-sp (1:0.9-81-1) unstable; urgency=low

  * Team upload.
  * New upstream release. Closes: #628354 (caused by a typo in the source).
  * Using Debhelper 8 (debian/control, debian/compat).
  * Removed completely debian/get-orig-source, and version mangling in
    debian/watch. This is not needed since 1:0.9-52-1.
  * Build-depend on R versions greater than R 2.10.0 (debian/control).
  * Converted debian/copyright to DEP 5 and documented a new file.
  * Renamed debian/README.Debian debian/README.test, and install it
    with debian/docs.
  * Incremented Standards-Version to reflect conformance with Policy 3.9.2.
    (debian/control, no changes needed).

 -- Charles Plessy <plessy@debian.org>  Sun, 29 May 2011 21:21:40 +0900

r-cran-sp (1:0.9-73-1) unstable; urgency=low

  * New upstream version
  * debian/rules: Fixed R:Depends code

 -- Andreas Tille <tille@debian.org>  Wed, 24 Nov 2010 08:27:54 +0100

r-cran-sp (1:0.9-66-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.9.1 (no changes needed)
  * debian/source/format: 3.0 (quilt)

 -- Andreas Tille <tille@debian.org>  Thu, 05 Aug 2010 13:30:29 +0200

r-cran-sp (1:0.9-64-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.4 (no changes needed)
  * Depend on a version equal or superior than the R upstream release that
    was used to build this package, using a R:Depends substvar
    (debian/control, debian/rules).
  * debian/copyright: Upstream-Source field points to sp specific URL
  * debian/README.Debian: explain how to test this package

 -- Andreas Tille <tille@debian.org>  Thu, 20 May 2010 15:59:55 +0200

r-cran-sp (1:0.9-56-2) unstable; urgency=low

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sun, 24 Jan 2010 22:07:58 +0100

r-cran-sp (1:0.9-52-1) unstable; urgency=low

  * New upstream version
  * Address problem with versioning mentioned in NMU

 -- Andreas Tille <tille@debian.org>  Wed, 06 Jan 2010 19:06:52 +0100

r-cran-sp (0.9.47-0+nmu0) unstable; urgency=low

  * NMU
  * New upstream release

  * The upstream version number is 0.9-47, but this package uses dots
    only, so the prior 0.9.44 sorts higher which prevents our cran2deb
    efforts where actual sp (>= 0.9-47) dependencies need to be satisfied

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 05 Dec 2009 21:31:06 -0600

r-cran-sp (0.9.44-1) unstable; urgency=low

  * New upstream version
  * Standards-Version: 3.8.3 (no changes needed)

 -- Andreas Tille <tille@debian.org>  Fri, 30 Oct 2009 11:36:07 +0100

r-cran-sp (0.9.36-1) unstable; urgency=low

  * New upstream version
  * debian/control:
    - Enhanced description
      Closes: #521002
    - Standards-Version: 3.8.1 (no changes needed)
    - Changed section to gnu-r

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2009 09:53:59 +0200

r-cran-sp (0.9.32-1) unstable; urgency=low

  * New upstream version
  * Depends: r-cran-lattice

 -- Andreas Tille <tille@debian.org>  Fri, 13 Mar 2009 09:46:25 +0100

r-cran-sp (0.9.29-1) unstable; urgency=low

  * Initial release (Closes: #512431).

 -- Andreas Tille <tille@debian.org>  Fri, 16 Jan 2009 20:43:13 +0100